Interner Serverfehler nach Update

Hallo zusammen,

leider habe ich Probleme mit Nextcloud. Ich hatte eben meine Cloud auf NC 22.1.1 geupdatet. Davor war noch ein Update. Das Update davor hatte ohne Probleme funktioniert.
Bei dem 22.1.1 Update habe ich nun folgenden Fehler:
nc1

Die Nextcloud.log zeigt mir nur folgendes:
https://pastebin.com/Ddp4mV7u
Ich konnte nur ein paar Zeilen rein packen, da die Datei 104.354 Zeilen hat.

Ich habe außer die Updates nichts am Server oder an Dateien geändert.

Infos zum Server:
Ubuntu 18.04
Apache Webserver 2.4.46
PHP 7.3
MySQL 5.7.34

Ich hoffe jemand kann mir weiterhelfen. Eine Neuinstallation kommt eigentlich nicht in Frage, da viele Dateien und Einstellungen in der Cloud sind. Vielleicht geht ja ein manueller Downgrade? Ich meine gesehen zu haben, dass das Update zu NC 22.1.1 über den Beta Kanal ging.
Ich hatte auch bereits diverse Beiträge zu dem Thema angeschaut und die Schritte durchgeführt, davon funktionierte aber nichts.

Mfg
Timo // NiceKype

1 Like

Hallo,

  • cache im Browser gelöscht?
  • auf anderem Browser getestet?
  • auf anderem Gerät getestet?
  • apache neu gestartet? (sudo service apache2 restart)
  • Server nach Update bereits neu gestartet? (sudo reboot)

Ciao,
Joachim

Ja, hat alles kein Erfolg.
Was mir noch aufgefallen ist, auf dem Handy bekomme ich dann diese Meldung wenn ich eine Datei anklicke:

Fehler
403: Sie haben nicht die Berechtigung, diesen Vorgang abzuschließen

Versuche doch mal die App /apps/side_menu zu deaktivieren…

{“reqId”:“EA8WbkyxSqsJMCMbPPZb”,“level”:3,“time”:“2021-09-16T07:07:49+00:00”,“remoteAddr”:“162.158.88.139”,“user”:“NiceKype”,“app”:“core”,“method”:“GET”,“url”:"/cloud/index.php/apps/side_menu/js/script?v=7",“message”:“User backend OC_User_IMAP not found.”,“userAgent”:“Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:89.0) Gecko/20100101 Firefox/89.0”,“version”:“22.1.1.2”}

Nextcloud 21 and above don’t support mysql 5.7 anymore, afaik.

Funktioniert leider auch nicht

But it worked before with that MySQL Version, so why should it doesnt work now?

I cannot answer that but it is expected that some things will break when not using supported dependencies. The requirements are not written for fun. It is likely possible that the issue resolves itself if you upgrade to supported dependencies.

But based on the provided logs, this issue appears because the user_external app is not enabled anymore because it is not yet officially compatible with NC22: https://apps.nextcloud.com/apps/user_external

Vermutlich eine App die jetzt nicht mehr funktioniert?

DB-Problem (Speicher)? Suche nach “error” im Log zeigt:

{“Exception”:“PDOException”,“Message”:“SQLSTATE[HY001]: Memory allocation error: 1038 Out of sort memory, consider increasing server sort buffer size”,“Code”:“HY001”,“Trace”:[{“file”:"/var/www/html/cloud/3rdparty/doctrine/dbal/src/Driver/PDO/Statement.php",“line”:82,“function”:“execute”,“class”:“PDOStatement”,“type”:"->",“args”:[null]},{“file”:"/var/www/html/cloud/3rdparty/doctrine/dbal/src/Connection.php",“line”:1030,“function”:“execute”,“class”:“Doctrine\DBAL\Driver\PDO\Statement”,“type”:"->",“args”:},{“file”:"/var/www/html/cloud/lib/private

Ich weiss natürlich nicht genau, was passiert, aber wenn queries unterwegs absterben, könnte das auch für den Rest unangenehme Folgen haben.

Daran dachte ich auch erst, aber das wäre sehr seltsam wenn gar keine App mehr funktioniert. Das sind ja fast alle die in der Log drin stehen.

Ist die app user_external aktiviert?

Es scheint wohl die App Files Sharing zu sein. Bin jede App durchgegangen und ohne File Sharing funktioniert Nextcloud.
Aber dann kann ich ja keine Dateien mehr teilen mit oder ohne Passwort. Oder gibt es da mittlerweile eine andere Möglichkeit?

Den Fehler hab ich schon nen paar mal gelesen.

Versuch mal den Ordner

zu löschen.

Und aus der Aktuellen Nextcloud aus der Zip zu ersetzen.

Scheint so als würde da ein Fehler entstehen bei der Installation.

https://download.nextcloud.com/server/releases/nextcloud-22.1.1.zip

Viel Glück!

Hab den Ordner files_sharing aus dem Apps Ordner entfernt und wie du meintest durch den selben Ordner aus dem neuesten Release ersetzt.

Leider weiterhin der gleiche Fehler. Das muss doch funktionieren, das ist doch eine der wichtigsten Funktionen. Ohne bringt mir die Cloud nämlich nichts ^^

Probiere vielleicht besser mal eine ältere Version des Ordners aus. Am besten die, die bei dir funktioniert hatte.

Auch ne gute Idee, aber hilft leider ebenfalls nicht.
Habe Files Sharing aus 21 und aus 20 getestet. Beides funktionierte ja zuvor. Aber egal welches Files Sharing ich nehme, es bleibt beim Error

Du könntest mal in der Kommandozeile

php /pfad/zur/nextcloud/index.php

eingeben. Vielleicht gibt es ja einen anderen, interessanten Fehler.

Das Plugin ist natürlich nicht mehr aktiv. Ausgegeben wird mir der Code der Fehlerseite die ich sonst auch sehe.
Und ich mein, das Problem liegt ja definitiv an Files Sharing oder hängt damit zusammen.